
From: Deepak Saxena <dsaxena@plexity.net>

<linux/irq.h> states:

/*
 * Please do not include this file in generic code.  There is currently
 * no requirement for any architecture to implement anything held
 * within this file.
 *
 * Thanks. --rmk
 */

The latest update into pci/quirks.c did not follow this and breaks 
building on ARM.

Signed-off-by: Deepak Saxena <dsaxena@plexity.met>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pci/quirks.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN drivers/pci/quirks.c~remove-inclusion-of-linux-irqh-from-pci-quirksc drivers/pci/quirks.c
--- 25/drivers/pci/quirks.c~remove-inclusion-of-linux-irqh-from-pci-quirksc	Wed Oct 20 16:36:09 2004
+++ 25-akpm/drivers/pci/quirks.c	Wed Oct 20 16:36:09 2004
@@ -18,7 +18,6 @@
 #include <linux/pci.h>
 #include <linux/init.h>
 #include <linux/delay.h>
-#include <linux/irq.h>
 
 #undef DEBUG
 
_
